## -*- coding: utf-8 -*-
# (C) 2013 Muthiah Annamalai
# 
# Implementation of Jaffna library transliteration tables
# first used in Gaim En->Ta Plugin (2006+) by Varun Soundarajan, <s.varun@gmail.com>
# and later used in TamilKaruvi (2007) by your's truly.
#    

class Transliteration:
    table = {}
    
    # mix of consonants and compound - uyirmei - letters
    table["njau"]="ஞௌ"
    table["njai"]="ஞை"
    table["njee"]="ஞே"
    table["njoo"]="ஞோ"
    table["njaa"]="ஞா"
    table["njuu"]="ஞூ"
    table["njii"]="ஞீ"
    table["nja"]="ஞ"
    table["nji"]="ஞி"
    table["njI"]="ஞீ"
    table["njA"]="ஞா"
    table["nje"]="ஞெ"
    table["njE"]="ஞே"
    table["njo"]="ஞொ"
    table["njO"]="ஞோ"
    table["nju"]="ஞு"
    table["njU"]="ஞூ"
    table["nj"]="ஞ்"
    table["ngau"]="ஙௌ"
    table["ngai"]="ஙை"
    table["ngee"]="ஙே"
    table["ngoo"]="ஙோ"
    table["ngaa"]="ஙா"
    table["nguu"]="ஙூ"
    table["ngii"]="ஙீ"
    table["nga"]="ங"
    table["ngi"]="ஙி"
    table["ngI"]="ஙீ"
    table["ngA"]="ஙா"
    table["nge"]="ஙெ"
    table["ngE"]="ஙே"
    table["ngo"]="ஙொ"
    table["ngO"]="ஙோ"
    table["ngu"]="ஙு"
    table["ngU"]="ஙூ"
    table["ng"]="ங்"
    table["shau"]="ஷௌ"
    table["shai"]="ஷை"
    table["shee"]="ஷே"
    table["shoo"]="ஷோ"
    table["shaa"]="ஷா"
    table["shuu"]="ஷூ"
    table["shii"]="ஷீ"
    table["sha"]="ஷ"
    table["shi"]="ஷி"
    table["shI"]="ஷீ"
    table["shA"]="ஷா"
    table["she"]="ஷெ"
    table["shE"]="ஷே"
    table["sho"]="ஷொ"
    table["shO"]="ஷோ"
    table["shu"]="ஷு"
    table["shU"]="ஷூ"
    table["sh"]="ஷ்"
    table[" nau"]=" நௌ"
    table[" nai"]=" நை"
    table[" nee"]=" நே"
    table[" noo"]=" நோ"
    table[" naa"]=" நா"
    table[" nuu"]=" நூ"
    table[" nii"]=" நீ"
    table[" na"]=" ந"
    table[" ni"]=" நி"
    table[" nI"]=" நீ"
    table[" nA"]=" நா"
    table[" ne"]=" நெ"
    table[" nE"]=" நே"
    table[" no"]=" நொ"
    table[" nO"]=" நோ"
    table[" nu"]=" நு"
    table[" nU"]=" நூ"
    table[" nth"]=" ந்"
    table["-nau"]="நௌ"
    table["-nai"]="நை"
    table["-nee"]="நே"
    table["-noo"]="நோ"
    table["-naa"]="நா"
    table["-nuu"]="நூ"
    table["-nii"]="நீ"
    table["-na"]="ந"
    table["-ni"]="நி"
    table["-nI"]="நீ"
    table["-nA"]="நா"
    table["-ne"]="நெ"
    table["-nE"]="நே"
    table["-no"]="நொ"
    table["-nO"]="நோ"
    table["-nu"]="நு"
    table["-nU"]="நூ"
    table["n-au"]="நௌ"
    table["n-ai"]="நை"
    table["n-ee"]="நே"
    table["n-oo"]="நோ"
    table["n-aa"]="நா"
    table["n-uu"]="நூ"
    table["n-ii"]="நீ"
    table["n-a"]="ந"
    table["n-i"]="நி"
    table["n-I"]="நீ"
    table["n-A"]="நா"
    table["n-e"]="நெ"
    table["n-E"]="நே"
    table["n-o"]="நொ"
    table["n-O"]="நோ"
    table["n-u"]="நு"
    table["n-U"]="நூ"
    table["wau"]="நௌ"
    table["wai"]="நை"
    table["wee"]="நே"
    table["woo"]="நோ"
    table["waa"]="நா"
    table["wuu"]="நூ"
    table["wii"]="நீ"
    table["wa"]="ந"
    table["wi"]="நி"
    table["wI"]="நீ"
    table["wA"]="நா"
    table["we"]="நெ"
    table["wE"]="நே"
    table["wo"]="நொ"
    table["wO"]="நோ"
    table["wu"]="நு"
    table["wU"]="நூ"
    table[" n"]=" ந்"
    table["n-"]="ந்"
    table["-n"]="ந்"
    table["w"]="ந்"
    table["nthau"]="ந்தௌ"
    table["nthai"]="ந்தை"
    table["nthee"]="ந்தே"
    table["nthoo"]="ந்தோ"
    table["nthaa"]="ந்தா"
    table["nthuu"]="ந்தூ"
    table["nthii"]="ந்தீ"
    table["ntha"]="ந்த"
    table["nthi"]="ந்தி"
    table["nthI"]="ந்தீ"
    table["nthA"]="ந்தா"
    table["nthe"]="ந்தெ"
    table["nthE"]="ந்தே"
    table["ntho"]="ந்தொ"
    table["nthO"]="ந்தோ"
    table["nthu"]="ந்து"
    table["nthU"]="ந்தூ"
    table["nth"]="ந்"
    table["dhau"]="தௌ"
    table["dhai"]="தை"
    table["dhee"]="தே"
    table["dhoo"]="தோ"
    table["dhaa"]="தா"
    table["dhuu"]="தூ"
    table["dhii"]="தீ"
    table["dha"]="த"
    table["dhi"]="தி"
    table["dhI"]="தீ"
    table["dhA"]="தா"
    table["dhe"]="தெ"
    table["dhE"]="தே"
    table["dho"]="தொ"
    table["dhO"]="தோ"
    table["dhu"]="து"
    table["dhU"]="தூ"
    table["dh"]="த்"
    table["chau"]="சௌ"
    table["chai"]="சை"
    table["chee"]="சே"
    table["choo"]="சோ"
    table["chaa"]="சா"
    table["chuu"]="சூ"
    table["chii"]="சீ"
    table["cha"]="ச"
    table["chi"]="சி"
    table["chI"]="சீ"
    table["chA"]="சா"
    table["che"]="செ"
    table["chE"]="சே"
    table["cho"]="சொ"
    table["chO"]="சோ"
    table["chu"]="சு"
    table["chU"]="சூ"
    table["ch"]="ச்"
    table["zhau"]="ழௌ"
    table["zhai"]="ழை"
    table["zhee"]="ழே"
    table["zhoo"]="ழோ"
    table["zhaa"]="ழா"
    table["zhuu"]="ழூ"
    table["zhii"]="ழீ"
    table["zha"]="ழ"
    table["zhi"]="ழி"
    table["zhI"]="ழீ"
    table["zhA"]="ழா"
    table["zhe"]="ழெ"
    table["zhE"]="ழே"
    table["zho"]="ழொ"
    table["zhO"]="ழோ"
    table["zhu"]="ழு"
    table["zhU"]="ழூ"
    table["zh"]="ழ்"
    table["zau"]="ழௌ"
    table["zai"]="ழை"
    table["zee"]="ழே"
    table["zoo"]="ழோ"
    table["zaa"]="ழா"
    table["zuu"]="ழூ"
    table["zii"]="ழீ"
    table["za"]="ழ"
    table["zi"]="ழி"
    table["zI"]="ழீ"
    table["zA"]="ழா"
    table["ze"]="ழெ"
    table["zE"]="ழே"
    table["zo"]="ழொ"
    table["zO"]="ழோ"
    table["zu"]="ழு"
    table["zU"]="ழூ"
    table["z"]="ழ்"
    table["jau"]="ஜௌ"
    table["jai"]="ஜை"
    table["jee"]="ஜே"
    table["joo"]="ஜோ"
    table["jaa"]="ஜா"
    table["juu"]="ஜூ"
    table["jii"]="ஜீ"
    table["ja"]="ஜ"
    table["ji"]="ஜி"
    table["jI"]="ஜீ"
    table["jA"]="ஜா"
    table["je"]="ஜெ"
    table["jE"]="ஜே"
    table["jo"]="ஜொ"
    table["jO"]="ஜோ"
    table["ju"]="ஜு"
    table["jU"]="ஜூ"
    table["j"]="ஜ்"
    table["thau"]="தௌ"
    table["thai"]="தை"
    table["thee"]="தே"
    table["thoo"]="தோ"
    table["thaa"]="தா"
    table["thuu"]="தூ"
    table["thii"]="தீ"
    table["tha"]="த"
    table["thi"]="தி"
    table["thI"]="தீ"
    table["thA"]="தா"
    table["the"]="தெ"
    table["thE"]="தே"
    table["tho"]="தொ"
    table["thO"]="தோ"
    table["thu"]="து"
    table["thU"]="தூ"
    table["th"]="த்"
    table["-hau"]="ஹௌ"
    table["-hai"]="ஹை"
    table["-hee"]="ஹே"
    table["-hoo"]="ஹோ"
    table["-haa"]="ஹா"
    table["-huu"]="ஹூ"
    table["-hii"]="ஹீ"
    table["-ha"]="ஹ"
    table["-hi"]="ஹி"
    table["-hI"]="ஹீ"
    table["-hA"]="ஹா"
    table["-he"]="ஹெ"
    table["-hE"]="ஹே"
    table["-ho"]="ஹொ"
    table["-hO"]="ஹோ"
    table["-hu"]="ஹு"
    table["-hU"]="ஹூ"
    table["-h"]="ஹ்"
    table["hau"]="கௌ"
    table["hai"]="கை"
    table["hee"]="கே"
    table["hoo"]="கோ"
    table["haa"]="கா"
    table["huu"]="கூ"
    table["hii"]="கீ"
    table["ha"]="க"
    table["hi"]="கி"
    table["hI"]="கீ"
    table["hA"]="கா"
    table["he"]="கெ"
    table["hE"]="கே"
    table["ho"]="கொ"
    table["hO"]="கோ"
    table["hu"]="கு"
    table["hU"]="கூ"
    table["h"]="க்"
    table["kau"]="கௌ"
    table["kai"]="கை"
    table["kee"]="கே"
    table["koo"]="கோ"
    table["kaa"]="கா"
    table["kuu"]="கூ"
    table["kii"]="கீ"
    table["ka"]="க"
    table["ki"]="கி"
    table["kI"]="கீ"
    table["kA"]="கா"
    table["ke"]="கெ"
    table["kE"]="கே"
    table["ko"]="கொ"
    table["kO"]="கோ"
    table["ku"]="கு"
    table["kU"]="கூ"
    table["k"]="க்"
    table["-sau"]="ஸௌ"
    table["-sai"]="ஸை"
    table["-see"]="ஸே"
    table["-soo"]="ஸோ"
    table["-saa"]="ஸா"
    table["-suu"]="ஸூ"
    table["-sii"]="ஸீ"
    table["-sa"]="ஸ"
    table["-si"]="ஸி"
    table["-sI"]="ஸீ"
    table["-sA"]="ஸா"
    table["-se"]="ஸெ"
    table["-sE"]="ஸே"
    table["-so"]="ஸொ"
    table["-sO"]="ஸோ"
    table["-su"]="ஸு"
    table["-sU"]="ஸூ"
    table["-s"]="ஸ்"
    table["Sau"]="ஸௌ"
    table["Sai"]="ஸை"
    table["See"]="ஸே"
    table["Soo"]="ஸோ"
    table["Saa"]="ஸா"
    table["Suu"]="ஸூ"
    table["Sii"]="ஸீ"
    table["Sa"]="ஸ"
    table["Si"]="ஸி"
    table["SI"]="ஸீ"
    table["SA"]="ஸா"
    table["Se"]="ஸெ"
    table["SE"]="ஸே"
    table["So"]="ஸொ"
    table["SO"]="ஸோ"
    table["Su"]="ஸு"
    table["SU"]="ஸூ"
    table["S"]="ஸ்"
    table["rau"]="ரௌ"
    table["rai"]="ரை"
    table["ree"]="ரே"
    table["roo"]="ரோ"
    table["raa"]="ரா"
    table["ruu"]="ரூ"
    table["rii"]="ரீ"
    table["ra"]="ர"
    table["ri"]="ரி"
    table["rI"]="ரீ"
    table["rA"]="ரா"
    table["re"]="ரெ"
    table["rE"]="ரே"
    table["ro"]="ரொ"
    table["rO"]="ரோ"
    table["ru"]="ரு"
    table["rU"]="ரூ"
    table["r"]="ர்"
    table["Rau"]="றௌ"
    table["Rai"]="றை"
    table["Ree"]="றே"
    table["Roo"]="றோ"
    table["Raa"]="றா"
    table["Ruu"]="றூ"
    table["Rii"]="றீ"
    table["Ra"]="ற"
    table["Ri"]="றி"
    table["RI"]="றீ"
    table["RA"]="றா"
    table["Re"]="றெ"
    table["RE"]="றே"
    table["Ro"]="றொ"
    table["RO"]="றோ"
    table["Ru"]="று"
    table["RU"]="றூ"
    table["R"]="ற்"
    table["tau"]="டௌ"
    table["tai"]="டை"
    table["tee"]="டே"
    table["too"]="டோ"
    table["taa"]="டா"
    table["tuu"]="டூ"
    table["tii"]="டீ"
    table["ta"]="ட"
    table["ti"]="டி"
    table["tI"]="டீ"
    table["tA"]="டா"
    table["te"]="டெ"
    table["tE"]="டே"
    table["to"]="டொ"
    table["tO"]="டோ"
    table["tu"]="டு"
    table["tU"]="டூ"
    table["t"]="ட்"
    table["sau"]="சௌ"
    table["sai"]="சை"
    table["see"]="சே"
    table["soo"]="சோ"
    table["saa"]="சா"
    table["suu"]="சூ"
    table["sii"]="சீ"
    table["sa"]="ச"
    table["si"]="சி"
    table["sI"]="சீ"
    table["sA"]="சா"
    table["se"]="செ"
    table["sE"]="சே"
    table["so"]="சொ"
    table["sO"]="சோ"
    table["su"]="சு"
    table["sU"]="சூ"
    table["s"]="ச்"
    table["pau"]="பௌ"
    table["pai"]="பை"
    table["pee"]="பே"
    table["poo"]="போ"
    table["paa"]="பா"
    table["puu"]="பூ"
    table["pii"]="பீ"
    table["pa"]="ப"
    table["pi"]="பி"
    table["pI"]="பீ"
    table["pA"]="பா"
    table["pe"]="பெ"
    table["pE"]="பே"
    table["po"]="பொ"
    table["pO"]="போ"
    table["pu"]="பு"
    table["pU"]="பூ"
    table["p"]="ப்"
    table["bau"]="பௌ"
    table["bai"]="பை"
    table["bee"]="பே"
    table["boo"]="போ"
    table["baa"]="பா"
    table["buu"]="பூ"
    table["bii"]="பீ"
    table["ba"]="ப"
    table["bi"]="பி"
    table["bI"]="பீ"
    table["bA"]="பா"
    table["be"]="பெ"
    table["bE"]="பே"
    table["bo"]="பொ"
    table["bO"]="போ"
    table["bu"]="பு"
    table["bU"]="பூ"
    table["b"]="ப்"
    table["mau"]="மௌ"
    table["mai"]="மை"
    table["mee"]="மே"
    table["moo"]="மோ"
    table["maa"]="மா"
    table["muu"]="மூ"
    table["mii"]="மீ"
    table["ma"]="ம"
    table["mi"]="மி"
    table["mI"]="மீ"
    table["mA"]="மா"
    table["me"]="மெ"
    table["mE"]="மே"
    table["mo"]="மொ"
    table["mO"]="மோ"
    table["mu"]="மு"
    table["mU"]="மூ"
    table["m"]="ம்"
    table["yau"]="யௌ"
    table["yai"]="யை"
    table["yee"]="யே"
    table["yoo"]="யோ"
    table["yaa"]="யா"
    table["yuu"]="யூ"
    table["yii"]="யீ"
    table["ya"]="ய"
    table["yi"]="யி"
    table["yI"]="யீ"
    table["yA"]="யா"
    table["ye"]="யெ"
    table["yE"]="யே"
    table["yo"]="யொ"
    table["yO"]="யோ"
    table["yu"]="யு"
    table["yU"]="யூ"
    table["y"]="ய்"
    table["dau"]="டௌ"
    table["dai"]="டை"
    table["dee"]="டே"
    table["doo"]="டோ"
    table["daa"]="டா"
    table["duu"]="டூ"
    table["dii"]="டீ"
    table["da"]="ட"
    table["di"]="டி"
    table["dI"]="டீ"
    table["dA"]="டா"
    table["de"]="டெ"
    table["dE"]="டே"
    table["do"]="டொ"
    table["dO"]="டோ"
    table["du"]="டு"
    table["dU"]="டூ"
    table["d"]="ட்"
    table["nau"]="னௌ"
    table["nai"]="னை"
    table["nee"]="னே"
    table["noo"]="னோ"
    table["naa"]="னா"
    table["nuu"]="னூ"
    table["nii"]="னீ"
    table["na"]="ன"
    table["ni"]="னி"
    table["nI"]="னீ"
    table["nA"]="னா"
    table["ne"]="னெ"
    table["nE"]="னே"
    table["no"]="னொ"
    table["nO"]="னோ"
    table["nu"]="னு"
    table["nU"]="னூ"
    table["n"]="ன்"
    table["Nau"]="ணௌ"
    table["Nai"]="ணை"
    table["Nee"]="ணே"
    table["Noo"]="ணோ"
    table["Naa"]="ணா"
    table["Nuu"]="ணூ"
    table["Nii"]="ணீ"
    table["Na"]="ண"
    table["Ni"]="ணி"
    table["NI"]="ணீ"
    table["NA"]="ணா"
    table["Ne"]="ணெ"
    table["NE"]="ணே"
    table["No"]="ணொ"
    table["NO"]="ணோ"
    table["Nu"]="ணு"
    table["NU"]="ணூ"
    table["N"]="ண்"
    table["lau"]="லௌ"
    table["lai"]="லை"
    table["lee"]="லே"
    table["loo"]="லோ"
    table["laa"]="லா"
    table["luu"]="லூ"
    table["lii"]="லீ"
    table["la"]="ல"
    table["li"]="லி"
    table["lI"]="லீ"
    table["lA"]="லா"
    table["le"]="லெ"
    table["lE"]="லே"
    table["lo"]="லொ"
    table["lO"]="லோ"
    table["lu"]="லு"
    table["lU"]="லூ"
    table["l"]="ல்"
    table["Lau"]="ளௌ"
    table["Lai"]="ளை"
    table["Lee"]="ளே"
    table["Loo"]="ளோ"
    table["Laa"]="ளா"
    table["Luu"]="ளூ"
    table["Lii"]="ளீ"
    table["La"]="ள"
    table["Li"]="ளி"
    table["LI"]="ளீ"
    table["LA"]="ளா"
    table["Le"]="ளெ"
    table["LE"]="ளே"
    table["Lo"]="ளொ"
    table["LO"]="ளோ"
    table["Lu"]="ளு"
    table["LU"]="ளூ"
    table["L"]="ள்"
    table["vau"]="வௌ"
    table["vai"]="வை"
    table["vee"]="வே"
    table["voo"]="வோ"
    table["vaa"]="வா"
    table["vuu"]="வூ"
    table["vii"]="வீ"
    table["va"]="வ"
    table["vi"]="வி"
    table["vI"]="வீ"
    table["vA"]="வா"
    table["ve"]="வெ"
    table["vE"]="வே"
    table["vo"]="வொ"
    table["vO"]="வோ"
    table["vu"]="வு"
    table["vU"]="வூ"
    table["v"]="வ்"
    table["gau"]="கௌ"
    table["gai"]="கை"
    table["gee"]="கே"
    table["goo"]="கோ"
    table["gaa"]="கா"
    table["guu"]="கூ"
    table["gii"]="கீ"
    table["ga"]="க"
    table["gi"]="கி"
    table["gI"]="கீ"
    table["gA"]="கா"
    table["ge"]="கெ"
    table["gE"]="கே"
    table["go"]="கொ"
    table["gO"]="கோ"
    table["gu"]="கு"
    table["gU"]="கூ"
    table["g"]="க்"
    table["au"]="ஔ"
    table["ai"]="ஐ"
    table["aa"]="ஆ"
    table["ee"]="ஏ"
    table["ii"]="ஈ"
    table["uu"]="ஊ"
    table["oo"]="ஓ"

    # numerals in Tamil
    table["-1000"]="௲"
    table["-100"]="௱"
    table["-10"]="௰"
    table["-1"]="௧"
    table["-2"]="௨"
    table["-3"]="௩"
    table["-4"]="௪"
    table["-5"]="௫"
    table["-6"]="௬"
    table["-7"]="௭"
    table["-8"]="௮"
    table["-9"]="௯"

    # vowels
    table["i"]="இ"
    table["I"]="ஈ"
    table["a"]="அ"
    table["A"]="ஆ"
    table["e"]="எ"
    table["E"]="ஏ"
    table["i"]="இ"
    table["I"]="ஈ"
    table["u"]="உ"
    table["U"]="ஊ"
    table["o"]="ஒ"
    table["O"]="ஓ"
    table["x"]="௯"
    table["q"]="ஃ"
